/// <reference types="react" />
import { TermCode } from './src/itemProps/TermCode';
import { InDefinedTermSet } from './src/itemProps/InDefinedTermSet';
import { MainEntityOfPage } from './src/itemProps/MainEntityOfPage';
import { AlternateName } from './src/itemProps/AlternateName';
import { Name } from './src/itemProps/Name';
import { PotentialAction } from './src/itemProps/PotentialAction';
import { Image } from './src/itemProps/Image';
import { Url } from './src/itemProps/Url';
import { Description } from './src/itemProps/Description';
import { SubjectOf } from './src/itemProps/SubjectOf';
import { AdditionalType } from './src/itemProps/AdditionalType';
import { DisambiguatingDescription } from './src/itemProps/DisambiguatingDescription';
import { SameAs } from './src/itemProps/SameAs';
import { Identifier } from './src/itemProps/Identifier';
import { DefinedTerm } from './src/DefinedTerm';
export { DefinedTerm, TermCode, InDefinedTermSet, MainEntityOfPage, AlternateName, Name, PotentialAction, Image, Url, Description, SubjectOf, AdditionalType, DisambiguatingDescription, SameAs, Identifier };
declare const _default: {
    DefinedTerm: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemScope: boolean;
        itemType: string;
    }, string | import("react").JSXElementConstructor<any>>;
    TermCode: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    InDefinedTermSet: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        DefinedTermSet: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    MainEntityOfPage: {
        CreativeWork: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    AlternateName: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    Name: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    PotentialAction: {
        Action: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Image: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        ImageObject: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Url: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Description: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    SubjectOf: {
        Event: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        CreativeWork: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    AdditionalType: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    DisambiguatingDescription: ({ as, children, ...props }: {
        [x: string]: any;
        as?: string | undefined;
        children: any;
    }) => import("react").ReactElement<{
        itemProp: string;
    }, string | import("react").JSXElementConstructor<any>>;
    SameAs: {
        URL: ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }) => import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
    Identifier: {
        ({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
        }, string | import("react").JSXElementConstructor<any>>;
        URL({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
        PropertyValue({ as, children, ...props }: {
            [x: string]: any;
            as?: string | undefined;
            children: any;
        }): import("react").ReactElement<{
            itemProp: string;
            itemScope: boolean;
            itemType: string;
        }, string | import("react").JSXElementConstructor<any>>;
    };
};
export default _default;
